Name:           tboot
Summary:        A module to perform a measured and verified launch
Version:        1.11.3
Release:        1
Epoch:          1
License:        BSD-3-Clause

URL:            http://sourceforge.net/projects/tboot/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  gcc trousers-devel openssl-devel perl zlib-devel

ExclusiveArch:  %{ix86} x86_64

%description
Trusted Boot (tboot) is an open source, pre-kernel/VMM module that uses
Intel(R) Trusted Execution Technology (Intel(R) TXT) to perform a measured
and verified launch of an OS kernel/VMM

%package_help

%prep
%autosetup -p1

%build
CFLAGS="$RPM_OPT_FLAGS -Wl,-z,relro,-z,now -fPIE -pie"; export CFLAGS
%make_build debug=y

%install
%make_install debug=y

%files
%doc COPYING
%config %{_sysconfdir}/grub.d/20_linux_tboot
%config %{_sysconfdir}/grub.d/20_linux_xen_tboot
%{_sbindir}/*
/boot/%{name}.gz
/boot/%{name}-syms

%files help
%doc COPYING docs/*
%{_mandir}/man8/*.gz

%changelog
* Wed Mar 13 2024 yaoxin <yao_xin001@hoperun.com> - 1:1.11.3-1
- Upgrade to 1.11.3

* Fri Apr 21 2023 wulei <wu_lei@hoperun.com> - 1:1.11.1-1
- Upgrade package to version 1.11.1

* Thu Feb 2 2023 jinlun <jinlun@huawei.com> - 1:1.10.5-2
- add BuildRequires

* Fri Nov 11 2022 dam <fzhang@zhixundn.com> - 1:1.10.5-1
- update to 1.10.5

* Tue Jul 12 2022 Hugel <gengqihu1@h-partners.com> - 1:1.10.2-3
- Add sec compile option

* Tue May 10 2022 caodongxia <caodongxia@h-partners.com> - 1:1.10.2-2
- License compliance rectification

* Tue Feb 15 2022 panxiaohe<panxh.life@foxmail.com> - 1:1.10.2-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:update version to 1.10.2
       add perl to BuildRequires

* Tue Jul 28 2020 chxssg<chxssg@qq.com> - 1:1.9.12-1
- update to 1.9.12

* Sat Jun 20 2020 yaokai13<yaokai13@huawei.com> - 1:1.9.7-3
- Fix the build error

* Fri Dec 6 2019 caomeng<caomeng5@huawei.com> - 1:1.9.7-2
- Package init
